Package ru.bitel.bgbilling.modules.assist.common.bean

# Class Transaction

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.common.bean.BGAbstractTransaction
ru.bitel.bgbilling.modules.assist.common.bean.Transaction

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class Transaction extends BGAbstractTransaction
Платёж, информация о платеже. Используется как модель в БД.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Transaction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Long`
  `getBillnumber()`
  `String`
  `getCardholderName()`
  `String`
  `getCardsubtype()`
  `String`
  `getCardText()`
  `String`
  `getCardtype()`
  `String`
  `getComment()`
  `String`
  `getEmail()`
  `String`
  `getIpaddress()`
  `String`
  `getName()`
  `String`
  `getPan()`
  `int`
  `getRecurringParentId()`
  `String`
  `getResponseCode()`
  `Transaction`
  `setBillnumber(Long billnumber)`
  `Transaction`
  `setCardholderName(String cardholder)`
  `Transaction`
  `setCardsubtype(String cardsubtype)`
  `Transaction`
  `setCardtype(String cardtype)`
  `Transaction`
  `setComment(String comment)`
  `Transaction`
  `setContractComment(String contractComment)`
  `Transaction`
  `setContractId(int contractId)`
  `Transaction`
  `setContractTitle(String contractTitle)`
  `Transaction`
  `setCreateDate(Date createDate)`
  `Transaction`
  `setEmail(String email)`
  `Transaction`
  `setId(int id)`
  Устанавливает id объекта
  `Transaction`
  `setIpaddress(String ipaddress)`
  `Transaction`
  `setName(String name)`
  `Transaction`
  `setPan(String pan)`
  `Transaction`
  `setRecurringParentId(int recurringParentId)`
  `Transaction`
  `setResponseCode(String responseCode)`
  `Transaction`
  `setStatus(String status)`
  `Transaction`
  `setSum(BigDecimal sum)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGAbstractTransaction

  `getContractComment, getContractId, getContractTitle, getCreateDate, getParameter, getParameters, getPaymentId, getStatus, getSum, getTransactionDate, getTransactionId, getTransactionType, isAutopayment, setAutopayment, setParameters, setPaymentId, setTransactionDate, setTransactionId, setTransactionType`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Transaction

    public Transaction()

- ## Method Details

  - ### getBillnumber

    public Long getBillnumber()

  - ### getCardholderName

    public String getCardholderName()
    Overrides:
      `getCardholderName` in class `BGAbstractTransaction`

  - ### getCardsubtype

    public String getCardsubtype()

  - ### getCardText

    public String getCardText()

  - ### getCardtype

    public String getCardtype()

  - ### getComment

    public String getComment()

  - ### getEmail

    public String getEmail()

  - ### getIpaddress

    public String getIpaddress()

  - ### getName

    public String getName()

  - ### getPan

    public String getPan()
    Overrides:
      `getPan` in class `BGAbstractTransaction`

  - ### getRecurringParentId

    public int getRecurringParentId()

  - ### getResponseCode

    public String getResponseCode()

  - ### setBillnumber

    public Transaction setBillnumber(Long billnumber)

  - ### setCardholderName

    public Transaction setCardholderName(String cardholder)

  - ### setCardsubtype

    public Transaction setCardsubtype(String cardsubtype)

  - ### setCardtype

    public Transaction setCardtype(String cardtype)

  - ### setComment

    public Transaction setComment(String comment)

  - ### setContractComment

    public Transaction setContractComment(String contractComment)
    Overrides:
      `setContractComment` in class `BGAbstractTransaction`

  - ### setContractId

    public Transaction setContractId(int contractId)
    Overrides:
      `setContractId` in class `BGAbstractTransaction`

  - ### setContractTitle

    public Transaction setContractTitle(String contractTitle)
    Overrides:
      `setContractTitle` in class `BGAbstractTransaction`

  - ### setCreateDate

    public Transaction setCreateDate(Date createDate)
    Overrides:
      `setCreateDate` in class `BGAbstractTransaction`

  - ### setEmail

    public Transaction setEmail(String email)

  - ### setId

    public Transaction setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setIpaddress

    public Transaction setIpaddress(String ipaddress)

  - ### setName

    public Transaction setName(String name)

  - ### setPan

    public Transaction setPan(String pan)

  - ### setRecurringParentId

    public Transaction setRecurringParentId(int recurringParentId)

  - ### setResponseCode

    public Transaction setResponseCode(String responseCode)

  - ### setStatus

    public Transaction setStatus(String status)
    Overrides:
      `setStatus` in class `BGAbstractTransaction`

  - ### setSum

    public Transaction setSum(BigDecimal sum)
    Overrides:
      `setSum` in class `BGAbstractTransaction`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `BGAbstractTransaction`